Bug 213051 - www/redmine start of thin fails
Summary: www/redmine start of thin fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ruby mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-28 18:49 UTC by Matthias Fechner
Modified: 2017-01-03 18:26 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
Fixed problem that the webserver Thin could not be started (605 bytes, patch)
2016-09-28 18:49 UTC, Matthias Fechner
no flags Details | Diff
Fixed problem that the webserver Thin could not be started (622 bytes, patch)
2016-10-24 13:37 UTC, Matthias Fechner
mfechner: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2016-09-28 18:49:28 UTC
Created attachment 175235 [details]
Fixed problem that the webserver Thin could not be started

Compile redmine with WWWSERVER Thin.
Try to start it with service redmine start.
You will get an error message that ruby22 is not found.

This is because the script uses "#!/bin/env ruby22" but /usr/local/bin is not in path.

Apply the attached patch to fix the problem.
Comment 1 olevole 2016-10-23 17:48:42 UTC
+1 for this problem.

This patch fix it (tested on F12-current)

AFAIK, better to use: %%PREFIX%% instead of hard coded '/usr/local'
Comment 2 Matthias Fechner freebsd_committer 2016-10-24 13:37:56 UTC
Created attachment 176100 [details]
Fixed problem that the webserver Thin could not be started
Comment 3 Matthias Fechner freebsd_committer 2016-10-24 13:38:32 UTC
Thanks for this tip, modified patch to fix this.
Comment 4 commit-hook freebsd_committer 2017-01-03 05:32:54 UTC
A commit references this bug:

Author: swills
Date: Tue Jan  3 05:32:38 UTC 2017
New revision: 430440
URL: https://svnweb.freebsd.org/changeset/ports/430440

Log:
  www/redmine: fix startup when using thing

  PR:		213051
  Submitted by:	Matthias Fechner <idefix@fechner.net>

Changes:
  head/www/redmine/Makefile
  head/www/redmine/files/redmine.in
Comment 5 Steve Wills freebsd_committer 2017-01-03 05:34:27 UTC
Committed, thanks, sorry for the delay!
Comment 6 commit-hook freebsd_committer 2017-01-03 18:26:48 UTC
A commit references this bug:

Author: swills
Date: Tue Jan  3 18:25:45 UTC 2017
New revision: 430493
URL: https://svnweb.freebsd.org/changeset/ports/430493

Log:
  MFH multiple fixes to get redmine working

  MFH: r430437 r430439 r430440

  mail/rubygem-roadie: fix with newer nokogiri

  www/redmine: fix with newer gems

  Fix with newer ldap and mysql.

  PR:		213127

  www/redmine: fix startup when using thing

  PR:		213051
  Submitted by:	Matthias Fechner <idefix@fechner.net>

Changes:
_U  branches/2017Q1/
  branches/2017Q1/mail/rubygem-roadie/Makefile
  branches/2017Q1/mail/rubygem-roadie/files/
  branches/2017Q1/www/redmine/Makefile
  branches/2017Q1/www/redmine/files/mysql.rb
  branches/2017Q1/www/redmine/files/patch-Gemfile
  branches/2017Q1/www/redmine/files/redmine.in